package io.renren.modules.sys.service;

import com.baomidou.mybatisplus.extension.service.IService;
import io.renren.common.utils.PageUtils;
import io.renren.modules.sys.entity.algs.Algorithm;
import io.renren.modules.sys.entity.algs.Version;

import java.util.List;
import java.util.Map;

/**
 * @Author: Ivan Q
 * @Date: 2021/6/17 10:35
 */
public interface VersionService extends IService<Version> {
    PageUtils queryPageOnUse(Map<String, Object> params);

    void deleteBatch(Long[] versionIds);

    Long querycategoryId(Long versionId);

    void update(Version version);


    Long getMaxId();
}
